summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
authorMatthias Schiffer <matthias@gamezock.de>2008-09-09 01:27:18 +0200
committerMatthias Schiffer <matthias@gamezock.de>2008-09-09 01:27:18 +0200
commitf50844eb7f9772f865ce9f272eadb15943319885 (patch)
treec1abc4e8f194ff196e92a97e3337dbfcc08dd39b /configure
parent87aad429d08b2a352f0f4345e45a03a0a7da2407 (diff)
downloadmad-f50844eb7f9772f865ce9f272eadb15943319885.tar
mad-f50844eb7f9772f865ce9f272eadb15943319885.zip
Readline-Interface f?r den Client
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure79
1 files changed, 78 insertions, 1 deletions
diff --git a/configure b/configure
index 6ca18cf..eff93bc 100755
--- a/configure
+++ b/configure
@@ -20794,7 +20794,82 @@ fi
fi
-ac_config_files="$ac_config_files Makefile src/Makefile src/Common/Makefile src/Common/Request/Makefile src/Core/Makefile src/Core/RequestHandler/Makefile src/Net/Makefile"
+{ echo "$as_me:$LINENO: checking for readline in -lreadline" >&5
+echo $ECHO_N "checking for readline in -lreadline... $ECHO_C" >&6; }
+if test "${ac_cv_lib_readline_readline+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-lreadline $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+/* Override any GCC internal prototype to avoid an error.
+ Use char because int might match the return type of a GCC
+ builtin and then its argument prototype would still apply. */
+#ifdef __cplusplus
+extern "C"
+#endif
+char readline ();
+int
+main ()
+{
+return readline ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_link") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest$ac_exeext &&
+ $as_test_x conftest$ac_exeext; then
+ ac_cv_lib_readline_readline=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_cv_lib_readline_readline=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+ conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_readline_readline" >&5
+echo "${ECHO_T}$ac_cv_lib_readline_readline" >&6; }
+if test $ac_cv_lib_readline_readline = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBREADLINE 1
+_ACEOF
+
+ LIBS="-lreadline $LIBS"
+
+else
+ { { echo "$as_me:$LINENO: error: Test for GNU readline library failed." >&5
+echo "$as_me: error: Test for GNU readline library failed." >&2;}
+ { (exit 1); exit 1; }; }
+fi
+
+
+ac_config_files="$ac_config_files Makefile src/Makefile src/Client/Makefile src/Client/Request/Makefile src/Common/Makefile src/Common/Request/Makefile src/Core/Makefile src/Core/RequestHandler/Makefile src/Net/Makefile"
cat >confcache <<\_ACEOF
@@ -21392,6 +21467,8 @@ do
"depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
"Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
"src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
+ "src/Client/Makefile") CONFIG_FILES="$CONFIG_FILES src/Client/Makefile" ;;
+ "src/Client/Request/Makefile") CONFIG_FILES="$CONFIG_FILES src/Client/Request/Makefile" ;;
"src/Common/Makefile") CONFIG_FILES="$CONFIG_FILES src/Common/Makefile" ;;
"src/Common/Request/Makefile") CONFIG_FILES="$CONFIG_FILES src/Common/Request/Makefile" ;;
"src/Core/Makefile") CONFIG_FILES="$CONFIG_FILES src/Core/Makefile" ;;